@use '_mixins/vars' as *;

$themes: (
        default: (
                bg: white,
                bg-accent: $accent,
                bg-primary: $primary,
                text: $text,
                text-accent: $accent,
                text-grey: $text-grey

        ),
        dark: (
                bg: black,
                bg-accent: black,
                bg-primary: black,
                text: white,
                text-accent: white,
                text-grey: white
        ),
);



@mixin themed() {
  @each $theme, $map in $themes {
    .theme--#{$theme} & {
      $theme-map: () !global;
      @each $key, $submap in $map {
        $value: map-get(map-get($themes, $theme), '#{$key}');
        $theme-map: map-merge($theme-map, ($key: $value)) !global;
      }
      @content;
      $theme-map: null !global;
    }
  }
}

@function t($key) {
  @return map-get($theme-map, $key);
}
